import { jsx } from "react/jsx-runtime";
import { SubsetOfIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SubsetOf = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "SubsetOf", ...props, children: /* @__PURE__ */ jsx(SubsetOfIcon, { weight: variant }) });
  }
);
SubsetOf.displayName = "SubsetOf";
Object.assign(SubsetOf, { isGdsIcon: true });
export {
  SubsetOf
};
